function init(hero) {
    hero.setName("Vibe");
    hero.setTier(1);
    
    hero.setHelmet("item.superhero_armor.piece.goggles");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addAbilities("fiskheroes:energy_blast", "fiskheroes:teleportation");
    hero.addAttribute("ATTACK_DAMAGE", 0.3, 1);
    hero.addAttribute("PUNCH_DAMAGE", 1.5, 0);
    
    hero.addKeyBind("AIM", "key.aim", 1);
    hero.addKeyBind("TELEPORT", "key.teleport", 2);
    
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);
}

function hasProperty(entity, property) {
    switch (property) {
    case "MASK_TOGGLE":
        return true;
    case "BREATHE_UNDERWATER":
        return !entity.getData("fiskheroes:mask_open");
    case "BREATHE_SPACE":
        return !entity.getData("fiskheroes:mask_open");
    default:
        return false;
    }
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}
